###################################################
### chunk number 1: 
###################################################
#line 52 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
library(wq)


###################################################
### chunk number 2:  eval=FALSE
###################################################
## #line 60 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
## sfbay <- read.csv("sfbay.csv", header = FALSE, as.is = TRUE, skip = 2)
## names(sfbay) <- c('date', 'time', 'stn', 'depth', 'chl', 'dox', 'spm', 'ext', 'sal', 'temp', 'nox', 'nhx')
## sfbay <- subset(sfbay, stn %in% c(21, 24, 27, 30, 32, 36) & substring(date, 7, 10) %in% 1985:2004)


###################################################
### chunk number 3: 
###################################################
#line 68 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
head(sfbay)


###################################################
### chunk number 4: 
###################################################
#line 74 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
x <- sample(1:nrow(sfbay), 10)
sfbay[x, "dox"]
sfbay1 <- transform(sfbay, dox = round(100 * dox/oxySol(sal, temp), 1))
sfbay1[x, "dox"]


###################################################
### chunk number 5: 
###################################################
#line 97 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
sfb <- wqData(sfbay, c(1, 3:4), 5:12, site.order = TRUE, type = "wide", 
	time.format = "%m/%d/%Y")
head(sfb)


###################################################
### chunk number 6: 
###################################################
#line 105 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
summary(sfb)


###################################################
### chunk number 7:  eval=FALSE
###################################################
## #line 111 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
## plot(sfb, vars = c('dox', 'temp'), num.col = 2)


###################################################
### chunk number 8: 
###################################################
#line 118 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
print(plot(sfb, vars = c('dox', 'temp'), num.col = 2))


###################################################
### chunk number 9: 
###################################################
#line 132 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
y <- tsMake(sfb, focus = "chl", layer = c(0, 5))
y[1:6, ]
tsp(y)


###################################################
### chunk number 10:  eval=FALSE
###################################################
## #line 137 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
## plotTs(y, ylab = "Chlorophyll in San Francisco Bay", ncol = 2)


###################################################
### chunk number 11: 
###################################################
#line 144 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
print(plotTs(y, ylab = "Chlorophyll in San Francisco Bay", ncol = 2))


###################################################
### chunk number 12: 
###################################################
#line 154 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
head(tsMake(sfb, focus = "chl", layer = c(0, 5), type = 'zoo'))


###################################################
### chunk number 13: 
###################################################
#line 160 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
chl27 <- sfbayChla[, 's27']
tsp(chl27)
chl27 <- round(chl27, 1)
head(ts2df(chl27))


###################################################
### chunk number 14: 
###################################################
#line 169 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
y <- window(sfbayChla, start = 2005, end = c(2009, 12))  # 5 years, 16 sites
round(mts2ts(y, seas = 2:4), 1)  # focus on Feb-Apr spring bloom


###################################################
### chunk number 15: 
###################################################
#line 180 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
mannKen(Nile)


###################################################
### chunk number 16: 
###################################################
#line 186 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
y <- sfbayChla
y1 <- tsSub(y, seas = 2:4)  # focus on Feb-Apr spring bloom
y2 <- aggregate(y1, 1, mean, na.rm = FALSE)
signif(mannKen(y2), 3)


###################################################
### chunk number 17:  eval=FALSE
###################################################
## #line 192 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
## mannKen(y2, plot=TRUE, type='pct', order = TRUE)


###################################################
### chunk number 18: 
###################################################
#line 199 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
print(mannKen(y, plot=TRUE, type='pct', order = TRUE))


###################################################
### chunk number 19: 
###################################################
#line 209 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
chl27 <- sfbayChla[, "s27"]
seaKen(chl27)


###################################################
### chunk number 20: 
###################################################
#line 216 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
seaRoll(chl27, w = 10)


###################################################
### chunk number 21: 
###################################################
#line 222 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
x <- sfbayChla


###################################################
### chunk number 22:  eval=FALSE
###################################################
## #line 225 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
## seasonTrend(x, plot = TRUE, ncol = 4, scales = 'free_y')


###################################################
### chunk number 23: 
###################################################
#line 232 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
print(seasonTrend(x, plot = TRUE, ncol = 4, scales = 'free_y'))


###################################################
### chunk number 24: 
###################################################
#line 242 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
x <- sfbayChla[, 's27']
trendHomog(x)


###################################################
### chunk number 25: 
###################################################
#line 249 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
chl <-sfbayChla[, 1:12]  # first 12 stations have good data coverage
seaKen(mts2ts(chl, 2:4))  # regional trend in spring bloom


###################################################
### chunk number 26: 
###################################################
#line 260 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
chl27 <- sfbayChla[, "s27"]
chl27a <- interpTs(chl27, gap = 3)


###################################################
### chunk number 27:  eval=FALSE
###################################################
## #line 264 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
## plot(chl27a, col = "red", lwd = .5, xlab = "")
## lines(chl27, col = "blue", lwd = 1.5)


###################################################
### chunk number 28: 
###################################################
#line 272 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
plot(chl27a, col = "red", lwd = .5, xlab = "")
lines(chl27, col = "blue", lwd = 1.5)


###################################################
### chunk number 29: 
###################################################
#line 283 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
chla1 <- aggregate(sfbayChla, 1, mean, na.rm = TRUE)
chla1 <- chla1[, 1:12]


###################################################
### chunk number 30:  eval=FALSE
###################################################
## #line 287 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
## eofNum(chla1, distr = "lognormal", reps = 2000)


###################################################
### chunk number 31: 
###################################################
#line 294 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
print(eofNum(chla1, distr = "lognormal", reps = 2000))


###################################################
### chunk number 32: 
###################################################
#line 304 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
e1 <- eof(chla1, n = 1)
e1


###################################################
### chunk number 33:  eval=FALSE
###################################################
## #line 311 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
## eofPlot(e1, type = "amp")


###################################################
### chunk number 34: 
###################################################
#line 318 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
print(eofPlot(e1, type = "amp"))


###################################################
### chunk number 35: 
###################################################
#line 328 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
chl27b <- interpTs(sfbayChla[, "s27"], gap = 3)
chl27b <- ts2df(chl27b, mon1 = 10, addYr = TRUE, omit = TRUE)
head(round(chl27b, 1))


###################################################
### chunk number 36: 
###################################################
#line 336 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
e2 <- eof(chl27b, n = 2)


###################################################
### chunk number 37:  eval=FALSE
###################################################
## #line 339 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
## eofPlot(e2, type = "coef")


###################################################
### chunk number 38: 
###################################################
#line 346 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
print(eofPlot(e2, type = "coef"))


###################################################
### chunk number 39: 
###################################################
#line 362 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
chl27 <- sfbayChla[, "s27"]
d1 <- decompTs(chl27)


###################################################
### chunk number 40:  eval=FALSE
###################################################
## #line 366 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
## plot(d1, nc = 1, main = "Station 27 Chl-a decomposition")


###################################################
### chunk number 41: 
###################################################
#line 373 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
plot(d1, nc = 1, main = "Station 27 Chl-a decomposition")


###################################################
### chunk number 42:  eval=FALSE
###################################################
## #line 383 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
## plotSeason(chl27, num.era = 3, same.plot = FALSE, ylab = 'Stn 27 Chl-a')


###################################################
### chunk number 43: 
###################################################
#line 390 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
print(plotSeason(chl27, num.era = 3, same.plot = FALSE, ylab = 'Stn 27 Chl-a'))


###################################################
### chunk number 44:  eval=FALSE
###################################################
## #line 400 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
## plotSeason(chl27, num.era = 3, same.plot = TRUE, ylab = 'Stn 27 Chl-a')


###################################################
### chunk number 45: 
###################################################
#line 407 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
print(plotSeason(chl27, num.era = 3, same.plot = TRUE, ylab = 'Stn 27 Chl-a'))


###################################################
### chunk number 46:  eval=FALSE
###################################################
## #line 417 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
## plotSeason(chl27, "by.month", ylab = 'Stn 27 Chl-a')


###################################################
### chunk number 47: 
###################################################
#line 424 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
print(plotSeason(chl27, "by.month", ylab = 'Stn 27 Chl-a'))


###################################################
### chunk number 48: 
###################################################
#line 440 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
chl27 <- sfbayChla[, 's27']
p1 <- phenoPhase(chl27)
head(p1)
p2 <- phenoPhase(chl27, c(1, 6))
head(p2)
p3 <- phenoAmp(chl27, c(1, 6))
head(p3)


###################################################
### chunk number 49: 
###################################################
#line 452 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
zchl <- tsMake(sfb, focus = "chl", layer = c(0, 5), type = 'zoo')
head(zchl)
zchl27 <- zchl[, 3]
head(phenoPhase(zchl27))
head(phenoPhase(zchl27, c(1, 6), out = 'doy'))
head(phenoPhase(zchl27, c(1, 6), out = 'julian'))


###################################################
### chunk number 50: 
###################################################
#line 465 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
chl <- aggregate(sfbayChla[, 1:6], 1, meanSub, 2:4, na.rm = TRUE)


###################################################
### chunk number 51:  eval=FALSE
###################################################
## #line 468 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
## plotTsAnom(chl, ylab = 'Chlorophyll-a', strip.labels = paste('Station', substring(colnames(chl), 2, 3)))


###################################################
### chunk number 52: 
###################################################
#line 475 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
print(plotTsAnom(chl, ylab = 'Chlorophyll-a', strip.labels = paste('Station', substring(colnames(chl), 2, 3)))
)


###################################################
### chunk number 53: 
###################################################
#line 487 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
chl27 <- sfbayChla[, "s27"]


###################################################
### chunk number 54:  eval=FALSE
###################################################
## #line 490 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
## plotTsTile(chl27)


###################################################
### chunk number 55: 
###################################################
#line 497 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
print(plotTsTile(chl27))


###################################################
### chunk number 56: 
###################################################
#line 509 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
chl27 = sfbayChla[, 's27']
g1 <- plotTsTile(chl27, legend.title = 'Chl log-anomaly', 
    square=FALSE)
g2 <- seasonTrend(chl27, plot = TRUE, legend = TRUE)
g3 <- plotSeason(chl27, num.era = 3, ylab = expression(paste('Chl-', italic(a), ', ', mu*g~L^{-1})))
## quartz("", 10, 6)  # e.g., in mac os x, or:
## grid.newpage()  # to re-use existing plot window


###################################################
### chunk number 57:  eval=FALSE
###################################################
## #line 518 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
## layOut(list(g1, 1:2, 1:6), list(g2, 1:2, 7:10), list(g3, 3:5, 1:8))


###################################################
### chunk number 58: 
###################################################
#line 525 "d:/Rcompile/CRANpkg/local/2.12/wq/inst/doc/wq-package.Rnw"
print(layOut(list(g1, 1:2, 1:6), list(g2, 1:2, 7:10), list(g3, 3:5, 1:8)))


